<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.linlinjava</groupId>
    <artifactId>jz-crm</artifactId>
    <version>0.1.0</version>
  </parent>
  <artifactId>jz-crm-hm-api</artifactId>
  <packaging>jar</packaging>
  
  
   <properties>
   		<java.version>1.8</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    </properties>
    
    
    <dependencies>
    
     	<dependency>
            <groupId>org.linlinjava</groupId>
            <artifactId>jz-crm-core</artifactId>
        </dependency>

        <dependency>
            <groupId>org.linlinjava</groupId>
            <artifactId>jz-crm-db</artifactId>
        </dependency>
        
        <dependency>
            <groupId>org.linlinjava</groupId>
            <artifactId>jz-crm-service</artifactId>
        </dependency>

        <dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger2</artifactId>
			<version>2.6.1</version>
		</dependency>

		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger-ui</artifactId>
			<version>2.6.1</version>
		</dependency>
<!--         <dependency>
            <groupId>org.apache.shiro</groupId>
            <artifactId>shiro-spring-boot-web-starter</artifactId>
        </dependency> -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>2.0.2</version>
        </dependency>
        
        <dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<optional>true</optional>
		</dependency>
		
		 <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>jcl-over-slf4j</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

		<!-- 添加jedis客户端 -->
		<dependency>
			<groupId>redis.clients</groupId>
			<artifactId>jedis</artifactId>
		</dependency>
		
		<!--spring2.0集成redis所需common-pool2 -->
		<!-- 必须加上，jedis依赖此 -->
		<!-- spring boot 2.0 的操作手册有标注 大家可以去看看 地址是：https://docs.spring.io/spring-boot/docs/2.0.3.RELEASE/reference/htmlsingle/ -->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-pool2</artifactId>
			<version>2.5.0</version>
		</dependency>
		
		
		<dependency>
			<groupId>taobaosdk</groupId>
			<artifactId>taobaosdk</artifactId>
			 <version>202008</version>
			<scope>system</scope>
			<systemPath>${pom.basedir}/lib/taobao-sdk-java.jar</systemPath>
		</dependency>


    </dependencies>

     <build>
    <finalName>servantappletservice</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

             <plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>default-resources</id>
						<phase>validate</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>target/classes</outputDirectory>
							<useDefaultDelimiters>false</useDefaultDelimiters>
							<delimiters>
								<delimiter>#</delimiter>
							</delimiters>
							<resources>
								<resource>
									<directory>src/main/resources/</directory>
									<filtering>true</filtering>
								</resource>
								<resource>
									<directory>src/main/resources.${spring.profiles.active}</directory>
									<filtering>false</filtering>
								</resource>
							</resources>
							 
						</configuration>
					</execution>
				</executions>
			</plugin>
        </plugins>
    </build>
    
     <profiles>
		<!--开发环境 -->
		<profile>
			<id>dev</id>
			<properties>
				<spring.profiles.active>dev</spring.profiles.active>
			</properties>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<!--生产环境 -->
		<profile>
			<id>pro</id>
			<properties>
				<spring.profiles.active>pro</spring.profiles.active>
			</properties>
		</profile>
		<profile>
			<id>uat</id>
			<properties>
				<spring.profiles.active>uat</spring.profiles.active>
			</properties>
			
		</profile>
	</profiles>
    
</project>